## lilv 0.24.4~dfsg0

=== debian/changelog ===
lilv (0.24.4~dfsg0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.24.4~dfsg0

  [ Olivier Humbert ]
  * Update control (http -> https)
  * Update copyright (http -> https)
  * Update control (better lilv-utils description)
  * Update control (typo)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Refresh patches
  * Fixed plugin search path (Closes: #916289)
  * Drop "get-orig-source" target in favour of uscan
    * Add "repack-waf" script
    * Use repack-waf script in d/watch
  * Update d/copyright for the new d/repack-waf stuff
  * Add explanation on why the package gets repacked
  * Add pgp-check to d/watch
    * Add upstream gpg-key
  * Removed trailing whitespace in d/control
  * Bump dh compat to 12
  * Bump standards version to 4.4.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 22 Aug 2019 12:00:49 +0200

lilv (0.24.2~dfsg0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/:
    - Bump debhelper compat to 11.
    - Move library to multi-arch path (Closes: #904099).
    - Also load plugins from non multi-arch paths.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 Jul 2018 19:40:41 +0200

=== debian/control ===
Source: lilv
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 12),
 libjack-dev,
 libsndfile1-dev,
 libserd-dev (>= 0.22.0~),
 libsord-dev (>= 0.14.0~),
 libsratom-dev (>= 0.4.0~),
 lv2-dev (>= 1.14.0~),
 pkg-config,
 python
Standards-Version: 4.4.0
Homepage: https://drobilla.net/software/lilv/
Vcs-Git: https://salsa.debian.org/multimedia-team/lilv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/lilv

Package: liblilv-0-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for simple use of LV2 plugins
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the shared library.

Package: liblilv-dev
Section: libdevel
Architecture: any
Depends:
 liblilv-0-0 (= ${binary:Version}),
 libserd-dev (>= 0.22.0~),
 libsord-dev (>= 0.14.0~),
 libsratom-dev (>= 0.4.0~),
 lv2-dev,
 ${misc:Depends}
Description: library for simple use of LV2 plugins (development files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the development files.

Package: lilv-utils
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-host
Description: library for simple use of LV2 plugins (runtime files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the following utilities:
  * lv2info - Extract information about an installed LV2 plugin.
  * lv2ls - List all installed LV2 plugins.
  * lv2apply - Apply an LV2 plugin to an audio file.
  * lv2bench - Benchmark all installed and supported LV2 plugins.
  * lilv-bench

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export LINKFLAGS += $(LDFLAGS)

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--default-lv2-path='~/.lv2:/usr/lib/$(DEB_HOST_MULTIARCH)/lv2:/usr/lib/lv2:/usr/local/lib/lv2' \
		--strict \
		--dyn-manifest

override_dh_auto_build:
	$(WAF)

override_dh_auto_install:
	$(WAF) install -f --destdir=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	rm -rf build .waf*
	dh_auto_clean

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
opts="pgpmode=auto,uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
https://download.drobilla.net/lilv-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian debian/repack-waf

## lilv 0.24.6

=== debian/changelog ===
lilv (0.24.6-1) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #941710)
    + Export suitable cross environment from dpkg's buildtools.mk.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Dennis Braun ]
  * New upstream release 0.24.6
  * d/control: Bump Standards-Version to 4.5.0
  * d/copyright: Update year, remove comment and repack entry
  * Update 1001-dont_run_ldconfig.patch
  * Remove d/repack-waf and d/unpack_waf.sh

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 02 Feb 2020 15:04:42 +0100

lilv (0.24.4~dfsg0-2) unstable; urgency=medium

  [ Stuart Prescott ]
  * Team upload.
  * Build with Python 3 rather than Python 2 (Closes: #943105).

  [ Debian Janitor ]
  * Remove patches 1002-fix_gnu_kfreebsd_build.patch that are missing
    from debian/patches/series.
  * Re-export upstream signing key without extra signatures.

 -- Stuart Prescott <stuart@debian.org>  Thu, 16 Jan 2020 23:50:55 +1100

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,12 @@
  libsratom-dev (>= 0.4.0~),
  lv2-dev (>= 1.14.0~),
  pkg-config,
- python
-Standards-Version: 4.4.0
+ python3
+Standards-Version: 4.5.0
 Homepage: https://drobilla.net/software/lilv/
 Vcs-Git: https://salsa.debian.org/multimedia-team/lilv.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lilv
+Rules-Requires-Root: no
 
 Package: liblilv-0-0
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,15 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export LINKFLAGS += $(LDFLAGS)
+export CC
+export PKGCONFIG = $(PKG_CONFIG)
 
-WAF = ./waf
+WAF = python3 ./waf
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="pgpmode=auto" \
https://download.drobilla.net/lilv-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lilv 0.24.8~dfsg0

=== wscript ===
#!/usr/bin/env python

import os
import shutil
import subprocess
import sys

from waflib import Options, Logs
from waflib.extras import autowaf

# Library and package version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
LILV_VERSION       = '0.24.8'
LILV_MAJOR_VERSION = '0'

# Mandatory waf variables
APPNAME = 'lilv'        # Package name for waf dist
VERSION = LILV_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

# Release variables
uri          = 'http://drobilla.net/sw/lilv'
dist_pattern = 'http://download.drobilla.net/lilv-%d.%d.%d.tar.bz2'
post_tags    = ['Hacking', 'LAD', 'LV2', 'Lilv']

test_plugins = [
    'bad_syntax',
    'failed_instantiation',
    'failed_lib_descriptor',
    'lib_descriptor',
    'missing_descriptor',
    'missing_name',
    'missing_plugin',
    'missing_port',
    'missing_port_name',
    'new_version',
    'old_version'
]

def options(ctx):
    ctx.load('compiler_c')
    ctx.load('compiler_cxx')
    ctx.load('python')
    opt = ctx.configuration_options()
    ctx.add_flags(
        opt,
        {'no-utils':           'do not build command line utilities',
         'no-bindings':        'do not build python bindings',
         'dyn-manifest':       'build support for dynamic manifests',
         'no-bash-completion': 'do not install bash completion script',
         'static':             'build static library',
         'no-shared':          'do not build shared library',
         'static-progs':       'build programs as static binaries'})

    opt.add_option('--default-lv2-path', type='string', default='',
                   dest='default_lv2_path',
                   help='default LV2 path to use if LV2_PATH is unset')

def configure(conf):
    conf.load('compiler_c', cache=True)
    try:
        conf.load('compiler_cxx', cache=True)
        conf.define('LILV_CXX', True)
    except:
        pass

    if not Options.options.no_bindings:
        try:
            conf.load('python', cache=True)
            conf.check_python_version((2,6,0))
            conf.env.LILV_PYTHON = 1
        except:
            Logs.warn('Failed to configure Python (%s)\n' % sys.exc_info()[1])

    conf.load('autowaf', cache=True)
    autowaf.set_c_lang(conf, 'c99')

    conf.env.BASH_COMPLETION = not Options.options.no_bash_completion
    conf.env.BUILD_UTILS     = not Options.options.no_utils
    conf.env.BUILD_SHARED    = not Options.options.no_shared
    conf.env.STATIC_PROGS    = Options.options.static_progs
    conf.env.BUILD_STATIC    = (Options.options.static or
                                Options.options.static_progs)

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    conf.check_pkg('lv2 >= 1.18.0', uselib_store='LV2')
    conf.check_pkg('serd-0 >= 0.30.0', uselib_store='SERD')
    conf.check_pkg('sord-0 >= 0.14.0', uselib_store='SORD')
    conf.check_pkg('sratom-0 >= 0.4.0', uselib_store='SRATOM')
    conf.check_pkg('sndfile >= 1.0.0', uselib_store='SNDFILE', mandatory=False)

    defines = ['_POSIX_C_SOURCE=200809L', '_BSD_SOURCE', '_DEFAULT_SOURCE']
    if conf.env.DEST_OS == 'darwin':
        defines += ['_DARWIN_C_SOURCE']

    rt_lib  = ['rt']
    if conf.env.DEST_OS == 'darwin' or conf.env.DEST_OS == 'win32':
        rt_lib = []

    conf.check_function('c', 'lstat',
                        header_name = ['sys/stat.h'],
                        defines     = defines,
                        define_name = 'HAVE_LSTAT',
                        mandatory   = False)

    conf.check_function('c', 'flock',
                        header_name = 'sys/file.h',
                        defines     = defines,
                        define_name = 'HAVE_FLOCK',
                        mandatory   = False)

    conf.check_function('c', 'fileno',
                        header_name = 'stdio.h',
                        defines     = defines,
                        define_name = 'HAVE_FILENO',
                        mandatory   = False)

    conf.check_function('c', 'clock_gettime',
                        header_name  = ['sys/time.h','time.h'],
                        defines      = ['_POSIX_C_SOURCE=200809L'],
                        define_name  = 'HAVE_CLOCK_GETTIME',
                        uselib_store = 'CLOCK_GETTIME',
                        lib          = rt_lib,
                        mandatory    = False)

    conf.check_cc(define_name = 'HAVE_LIBDL',
                  lib         = 'dl',
                  mandatory   = False)

    if Options.options.dyn_manifest:
        conf.define('LILV_DYN_MANIFEST', 1)

    lilv_path_sep = ':'
    lilv_dir_sep  = '/'
    if conf.env.DEST_OS == 'win32':
        lilv_path_sep = ';'
        lilv_dir_sep = '\\\\'

    conf.define('LILV_PATH_SEP', lilv_path_sep)
    conf.define('LILV_DIR_SEP',  lilv_dir_sep)

    # Set default LV2 path
    lv2_path = Options.options.default_lv2_path
    if lv2_path == '':
        if conf.env.DEST_OS == 'darwin':
            lv2_path = lilv_path_sep.join(['~/Library/Audio/Plug-Ins/LV2',
                                           '~/.lv2',
                                           '/usr/local/lib/lv2',
                                           '/usr/lib/lv2',
                                           '/Library/Audio/Plug-Ins/LV2'])
        elif conf.env.DEST_OS == 'haiku':
            lv2_path = lilv_path_sep.join(['~/.lv2',
                                           '/boot/common/add-ons/lv2'])
        elif conf.env.DEST_OS == 'win32':
            lv2_path = lilv_path_sep.join(['%APPDATA%\\\\LV2',
                                           '%COMMONPROGRAMFILES%\\\\LV2'])
        else:
            libdirname = os.path.basename(conf.env.LIBDIR)
            lv2_path = lilv_path_sep.join(['~/.lv2',
                                           '/usr/%s/lv2' % libdirname,
                                           '/usr/local/%s/lv2' % libdirname])
    conf.define('LILV_DEFAULT_LV2_PATH', lv2_path)

    autowaf.set_lib_env(conf, 'lilv', LILV_VERSION)
    conf.write_config_header('lilv_config.h', remove=False)

    conf.undefine('LILV_DEFAULT_LV2_PATH')  # Cmd line errors with VC++

    autowaf.display_summary(
        conf,
        {'Default LV2_PATH':         lv2_path,
         'Utilities':                bool(conf.env.BUILD_UTILS),
         'Unit tests':               bool(conf.env.BUILD_TESTS),
         'Dynamic manifest support': conf.is_defined('LILV_DYN_MANIFEST'),
         'Python bindings':          bool(conf.env.LILV_PYTHON)})

def build_util(bld, name, defines, libs=''):
    obj = bld(features     = 'c cprogram',
              source       = name + '.c',
              includes     = ['.', './src', './utils'],
              use          = 'liblilv',
              uselib       = 'SERD SORD SRATOM LV2 ' + libs,
              target       = name,
              defines      = defines,
              install_path = '${BINDIR}')
    if not bld.env.BUILD_SHARED or bld.env.STATIC_PROGS:
        obj.use = 'liblilv_static'
    if bld.env.STATIC_PROGS:
        if not bld.env.MSVC_COMPILER:
            obj.lib = ['m']
            obj.env.SHLIB_MARKER = obj.env.STLIB_MARKER
            obj.linkflags        = ['-static', '-Wl,--start-group']
    return obj

def build(bld):
    # C/C++ Headers
    includedir = '${INCLUDEDIR}/lilv-%s/lilv' % LILV_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('lilv/*.h'))
    bld.install_files(includedir, bld.path.ant_glob('lilv/*.hpp'))

    lib_source = '''
        src/collections.c
        src/instance.c
        src/lib.c
        src/node.c
        src/plugin.c
        src/pluginclass.c
        src/port.c
        src/query.c
        src/scalepoint.c
        src/state.c
        src/ui.c
        src/util.c
        src/world.c
        src/zix/tree.c
    '''.split()

    lib      = []
    libflags = ['-fvisibility=hidden']
    defines  = []
    if bld.is_defined('HAVE_LIBDL'):
        lib    += ['dl']
    if bld.env.DEST_OS == 'win32':
        lib = []
    if bld.env.MSVC_COMPILER:
        libflags = []

    # Pkgconfig file
    autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
                     {'LILV_MAJOR_VERSION' : LILV_MAJOR_VERSION,
                      'LILV_PKG_DEPS'      : 'lv2 serd-0 sord-0 sratom-0',
                      'LILV_PKG_LIBS'      : ' -l'.join([''] + lib)})

    # Shared Library
    if bld.env.BUILD_SHARED:
        obj = bld(features        = 'c cshlib',
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  name            = 'liblilv',
                  target          = 'lilv-%s' % LILV_MAJOR_VERSION,
                  vnum            = LILV_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = ['LILV_SHARED', 'LILV_INTERNAL'],
                  cflags          = libflags,
                  lib             = lib,
                  uselib          = 'SERD SORD SRATOM LV2')

    # Static library
    if bld.env.BUILD_STATIC:
        obj = bld(features        = 'c cstlib',
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  name            = 'liblilv_static',
                  target          = 'lilv-%s' % LILV_MAJOR_VERSION,
                  vnum            = LILV_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = defines + ['LILV_INTERNAL'],
                  uselib          = 'SERD SORD SRATOM LV2')

    # Python bindings
    if bld.env.LILV_PYTHON:
        bld(features     = 'subst',
            is_copy      = True,
            source       = 'bindings/python/lilv.py',
            target       = 'lilv.py',
            install_path = '${PYTHONDIR}')

    if bld.env.BUILD_TESTS:
        import re

        test_libs      = lib
        test_cflags    = ['']
        test_linkflags = ['']
        if not bld.env.NO_COVERAGE:
            test_cflags    += ['--coverage']
            test_linkflags += ['--coverage']

        # Copy skeleton LV2 bundle for tests
        for name in ('manifest.ttl', 'lv2core.ttl'):
            bld(features     = 'subst',
                is_copy      = True,
                source       = 'test/core.lv2/' + name,
                target       = 'test/test_lv2_path/core.lv2/' + name,
                install_path = None)

        # Make a pattern for shared objects without the 'lib' prefix
        module_pattern = re.sub('^lib', '', bld.env.cshlib_PATTERN)
        shlib_ext = module_pattern[module_pattern.rfind('.'):]

        for p in ['test'] + test_plugins:
            obj = bld(features     = 'c cshlib',
                      source       = 'test/%s.lv2/%s.c' % (p, p),
                      name         = p,
                      target       = 'test/%s.lv2/%s' % (p, p),
                      install_path = None,
                      defines      = defines,
                      cflags       = test_cflags,
                      linkflags    = test_linkflags,
                      lib          = test_libs,
                      uselib       = 'LV2')
            obj.env.cshlib_PATTERN = module_pattern

        for p in test_plugins:
            if not bld.path.find_node('test/%s.lv2/test_%s.c' % (p, p)):
                continue

            obj = bld(features     = 'c cprogram',
                      source       = 'test/%s.lv2/test_%s.c' % (p, p),
                      target       = 'test/test_%s' % p,
                      includes     = ['.', './src'],
                      use          = 'liblilv_profiled',
                      install_path = None,

=== debian/changelog ===
lilv (0.24.8~dfsg0-1) unstable; urgency=medium

  * New upstream version 0.24.8~dfsg0
    + Exclude the .waf* directory
  * Add me as uploader
  * Update B-Ds
  * Bump dh-compat to 13
  * Mark liblilv-dev as Multi-Arch: same (Closes: #958748)
  * Add liblilv-dev as B-D to the symbols file
  * Remove obsolete LDFLAGS export
  * Update d/copyright year
  * Update d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 30 Apr 2020 20:17:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libjack-dev,
  libsndfile1-dev,
  libserd-dev (>= 0.22.0~),
  libsord-dev (>= 0.14.0~),
  libsratom-dev (>= 0.4.0~),
- lv2-dev (>= 1.14.0~),
+ lv2-dev (>= 1.18.0~),
  pkg-config,
  python3
 Standards-Version: 4.5.0
@@ -39,6 +40,7 @@
 Package: liblilv-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends:
  liblilv-0-0 (= ${binary:Version}),
  libserd-dev (>= 0.22.0~),

=== debian/watch ===
version=4
opts="pgpmode=auto, uversionmangle=s/-/./,dversionmangle=s/~dfsg0.*//,repacksuffix=~dfsg0" \
https://download.drobilla.net/lilv-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lilv 0.24.10

=== wscript ===
--- 
+++ 
@@ -1,18 +1,18 @@
 #!/usr/bin/env python
 
+import glob
 import os
 import shutil
-import subprocess
 import sys
 
-from waflib import Options, Logs
+from waflib import Build, Options, Logs
 from waflib.extras import autowaf
 
 # Library and package version (UNIX style major, minor, micro)
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.24.8'
+LILV_VERSION       = '0.24.10'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -25,6 +25,32 @@
 uri          = 'http://drobilla.net/sw/lilv'
 dist_pattern = 'http://download.drobilla.net/lilv-%d.%d.%d.tar.bz2'
 post_tags    = ['Hacking', 'LAD', 'LV2', 'Lilv']
+
+tests = [
+    'test_bad_port_index',
+    'test_bad_port_symbol',
+    'test_classes',
+    'test_discovery',
+    'test_filesystem',
+    'test_get_symbol',
+    'test_no_author',
+    'test_no_verify',
+    'test_plugin',
+    'test_port',
+    'test_preset',
+    'test_project',
+    'test_project_no_author',
+    'test_prototype',
+    'test_reload_bundle',
+    'test_replace_version',
+    'test_state',
+    'test_string',
+    'test_ui',
+    'test_util',
+    'test_value',
+    'test_verify',
+    'test_world',
+]
 
 test_plugins = [
     'bad_syntax',
@@ -39,6 +65,7 @@
     'new_version',
     'old_version'
 ]
+
 
 def options(ctx):
     ctx.load('compiler_c')
@@ -59,21 +86,22 @@
                    dest='default_lv2_path',
                    help='default LV2 path to use if LV2_PATH is unset')
 
+
 def configure(conf):
     conf.load('compiler_c', cache=True)
     try:
         conf.load('compiler_cxx', cache=True)
         conf.define('LILV_CXX', True)
-    except:
+    except Exception:
         pass
 
     if not Options.options.no_bindings:
         try:
             conf.load('python', cache=True)
-            conf.check_python_version((2,6,0))
+            conf.check_python_version((2, 6, 0))
             conf.env.LILV_PYTHON = 1
-        except:
-            Logs.warn('Failed to configure Python (%s)\n' % sys.exc_info()[1])
+        except Exception as e:
+            Logs.warn('Failed to configure Python (%s)\n' % e)
 
     conf.load('autowaf', cache=True)
     autowaf.set_c_lang(conf, 'c99')
@@ -88,6 +116,71 @@
     if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
         conf.fatal('Neither a shared nor a static build requested')
 
+    if Options.options.strict:
+        # Check for programs used by lint target
+        conf.find_program("flake8", var="FLAKE8", mandatory=False)
+        conf.find_program("clang-tidy", var="CLANG_TIDY", mandatory=False)
+        conf.find_program("iwyu_tool", var="IWYU_TOOL", mandatory=False)
+
+    if Options.options.ultra_strict:
+        autowaf.add_compiler_flags(conf.env, '*', {
+            'clang': [
+                '-Wno-documentation-unknown-command',
+            ]
+        })
+
+        autowaf.add_compiler_flags(conf.env, 'c', {
+            'clang': [
+                '-Wno-cast-align',
+                '-Wno-cast-qual',
+                '-Wno-double-promotion',
+                '-Wno-float-equal',
+                '-Wno-format-nonliteral',
+                '-Wno-implicit-float-conversion',
+                '-Wno-implicit-int-conversion',
+                '-Wno-padded',
+                '-Wno-reserved-id-macro',
+                '-Wno-shorten-64-to-32',
+                '-Wno-sign-conversion',
+                '-Wno-switch-enum',
+                '-Wno-unused-parameter',
+                '-Wno-vla',
+            ],
+            'gcc': [
+                '-Wno-cast-align',
+                '-Wno-cast-qual',
+                '-Wno-conversion',
+                '-Wno-double-promotion',
+                '-Wno-float-equal',
+                '-Wno-padded',
+                '-Wno-stack-protector',
+                '-Wno-suggest-attribute=const',
+                '-Wno-suggest-attribute=pure',
+                '-Wno-switch-enum',
+                '-Wno-unused-parameter',
+                '-Wno-vla',
+            ],
+            'msvc': [
+                '/wd4061',  # enumerator in switch is not explicitly handled
+                '/wd4365',  # signed/unsigned mismatch
+                '/wd4514',  # unreferenced inline function has been removed
+                '/wd4774',  # format string is not a string literal
+                '/wd4820',  # padding added after construct
+                '/wd4996',  # POSIX name for this item is deprecated
+            ],
+        })
+
+        autowaf.add_compiler_flags(conf.env, 'cxx', {
+            'clang': [
+                '-Wno-extra-semi',
+            ],
+            'gcc': [
+                '-Wno-effc++',
+                '-Wno-extra-semi',
+                '-Wno-pedantic',
+            ],
+        })
+
     conf.check_pkg('lv2 >= 1.18.0', uselib_store='LV2')
     conf.check_pkg('serd-0 >= 0.30.0', uselib_store='SERD')
     conf.check_pkg('sord-0 >= 0.14.0', uselib_store='SORD')
@@ -106,31 +199,47 @@
                         header_name = ['sys/stat.h'],
                         defines     = defines,
                         define_name = 'HAVE_LSTAT',
+                        return_type = 'int',
+                        arg_types   = 'const char*, struct stat*',
                         mandatory   = False)
 
     conf.check_function('c', 'flock',
                         header_name = 'sys/file.h',
                         defines     = defines,
                         define_name = 'HAVE_FLOCK',
+                        return_type = 'int',
+                        arg_types   = 'int, int',
                         mandatory   = False)
 
     conf.check_function('c', 'fileno',
                         header_name = 'stdio.h',
                         defines     = defines,
                         define_name = 'HAVE_FILENO',
+                        return_type = 'int',
+                        arg_types   = 'FILE*',
                         mandatory   = False)
 
     conf.check_function('c', 'clock_gettime',
-                        header_name  = ['sys/time.h','time.h'],
+                        header_name  = ['sys/time.h', 'time.h'],
                         defines      = ['_POSIX_C_SOURCE=200809L'],
                         define_name  = 'HAVE_CLOCK_GETTIME',
                         uselib_store = 'CLOCK_GETTIME',
                         lib          = rt_lib,
+                        return_type  = 'int',
+                        arg_types    = 'clockid_t, struct timespec*',
                         mandatory    = False)
 
     conf.check_cc(define_name = 'HAVE_LIBDL',
                   lib         = 'dl',
                   mandatory   = False)
+
+    if conf.env.DEST_OS == 'win32':
+        conf.check_function('c', 'CreateSymbolicLink',
+                            header_name = ['windows.h'],
+                            define_name = 'HAVE_CREATESYMBOLICLINK',
+                            return_type = 'BOOLEAN',
+                            arg_types   = 'LPCSTR, LPCSTR, DWORD',
+                            mandatory   = False)
 
     if Options.options.dyn_manifest:
         conf.define('LILV_DYN_MANIFEST', 1)
@@ -179,6 +288,7 @@
          'Dynamic manifest support': conf.is_defined('LILV_DYN_MANIFEST'),
          'Python bindings':          bool(conf.env.LILV_PYTHON)})
 
+
 def build_util(bld, name, defines, libs=''):
     obj = bld(features     = 'c cprogram',
               source       = name + '.c',
@@ -197,6 +307,7 @@
             obj.linkflags        = ['-static', '-Wl,--start-group']
     return obj
 
+
 def build(bld):
     # C/C++ Headers
     includedir = '${INCLUDEDIR}/lilv-%s/lilv' % LILV_MAJOR_VERSION
@@ -205,6 +316,7 @@
 
     lib_source = '''
         src/collections.c
+        src/filesystem.c
         src/instance.c
         src/lib.c
         src/node.c
@@ -231,89 +343,3 @@
         libflags = []
 
     # Pkgconfig file
-    autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
-                     {'LILV_MAJOR_VERSION' : LILV_MAJOR_VERSION,
-                      'LILV_PKG_DEPS'      : 'lv2 serd-0 sord-0 sratom-0',
-                      'LILV_PKG_LIBS'      : ' -l'.join([''] + lib)})
-
-    # Shared Library
-    if bld.env.BUILD_SHARED:
-        obj = bld(features        = 'c cshlib',
-                  export_includes = ['.'],
-                  source          = lib_source,
-                  includes        = ['.', './src'],
-                  name            = 'liblilv',
-                  target          = 'lilv-%s' % LILV_MAJOR_VERSION,
-                  vnum            = LILV_VERSION,
-                  install_path    = '${LIBDIR}',
-                  defines         = ['LILV_SHARED', 'LILV_INTERNAL'],
-                  cflags          = libflags,
-                  lib             = lib,
-                  uselib          = 'SERD SORD SRATOM LV2')
-
-    # Static library
-    if bld.env.BUILD_STATIC:
-        obj = bld(features        = 'c cstlib',
-                  export_includes = ['.'],
-                  source          = lib_source,
-                  includes        = ['.', './src'],
-                  name            = 'liblilv_static',
-                  target          = 'lilv-%s' % LILV_MAJOR_VERSION,
-                  vnum            = LILV_VERSION,
-                  install_path    = '${LIBDIR}',
-                  defines         = defines + ['LILV_INTERNAL'],
-                  uselib          = 'SERD SORD SRATOM LV2')
-
-    # Python bindings
-    if bld.env.LILV_PYTHON:
-        bld(features     = 'subst',
-            is_copy      = True,
-            source       = 'bindings/python/lilv.py',
-            target       = 'lilv.py',
-            install_path = '${PYTHONDIR}')
-
-    if bld.env.BUILD_TESTS:
-        import re
-
-        test_libs      = lib
-        test_cflags    = ['']
-        test_linkflags = ['']
-        if not bld.env.NO_COVERAGE:
-            test_cflags    += ['--coverage']
-            test_linkflags += ['--coverage']
-
-        # Copy skeleton LV2 bundle for tests
-        for name in ('manifest.ttl', 'lv2core.ttl'):
-            bld(features     = 'subst',
-                is_copy      = True,
-                source       = 'test/core.lv2/' + name,
-                target       = 'test/test_lv2_path/core.lv2/' + name,
-                install_path = None)
-
-        # Make a pattern for shared objects without the 'lib' prefix
-        module_pattern = re.sub('^lib', '', bld.env.cshlib_PATTERN)
-        shlib_ext = module_pattern[module_pattern.rfind('.'):]
-
-        for p in ['test'] + test_plugins:
-            obj = bld(features     = 'c cshlib',
-                      source       = 'test/%s.lv2/%s.c' % (p, p),
-                      name         = p,
-                      target       = 'test/%s.lv2/%s' % (p, p),
-                      install_path = None,
-                      defines      = defines,
-                      cflags       = test_cflags,
-                      linkflags    = test_linkflags,
-                      lib          = test_libs,
-                      uselib       = 'LV2')
-            obj.env.cshlib_PATTERN = module_pattern
-
-        for p in test_plugins:
-            if not bld.path.find_node('test/%s.lv2/test_%s.c' % (p, p)):
-                continue
-
-            obj = bld(features     = 'c cprogram',
-                      source       = 'test/%s.lv2/test_%s.c' % (p, p),
-                      target       = 'test/test_%s' % p,
-                      includes     = ['.', './src'],
-                      use          = 'liblilv_profiled',
-                      install_path = None,

=== debian/changelog ===
lilv (0.24.10-1) unstable; urgency=medium

  * New upstream version 0.24.10
    + .waf folder not anymore in upstream tarball
  * Update ldconfig patch

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 30 Sep 2020 00:05:31 +0200

## lilv 0.24.12

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.24.10'
+LILV_VERSION       = '0.24.12'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -106,6 +106,9 @@
     conf.load('autowaf', cache=True)
     autowaf.set_c_lang(conf, 'c99')
 
+    if conf.env.DOCS:
+        conf.load('sphinx')
+
     conf.env.BASH_COMPLETION = not Options.options.no_bash_completion
     conf.env.BUILD_UTILS     = not Options.options.no_utils
     conf.env.BUILD_SHARED    = not Options.options.no_shared
@@ -126,6 +129,7 @@
         autowaf.add_compiler_flags(conf.env, '*', {
             'clang': [
                 '-Wno-documentation-unknown-command',
+                '-Wno-nullability-extension',
             ]
         })
 
@@ -232,14 +236,6 @@
     conf.check_cc(define_name = 'HAVE_LIBDL',
                   lib         = 'dl',
                   mandatory   = False)
-
-    if conf.env.DEST_OS == 'win32':
-        conf.check_function('c', 'CreateSymbolicLink',
-                            header_name = ['windows.h'],
-                            define_name = 'HAVE_CREATESYMBOLICLINK',
-                            return_type = 'BOOLEAN',
-                            arg_types   = 'LPCSTR, LPCSTR, DWORD',
-                            mandatory   = False)
 
     if Options.options.dyn_manifest:
         conf.define('LILV_DYN_MANIFEST', 1)
@@ -273,12 +269,17 @@
             lv2_path = lilv_path_sep.join(['~/.lv2',
                                            '/usr/%s/lv2' % libdirname,
                                            '/usr/local/%s/lv2' % libdirname])
+
+    if sys.platform == 'win32':
+        lv2_path = lv2_path.replace('%', '%%')
+
     conf.define('LILV_DEFAULT_LV2_PATH', lv2_path)
 
-    autowaf.set_lib_env(conf, 'lilv', LILV_VERSION)
-    conf.write_config_header('lilv_config.h', remove=False)
-
-    conf.undefine('LILV_DEFAULT_LV2_PATH')  # Cmd line errors with VC++
+    # Set up environment for building/using as a subproject
+    autowaf.set_lib_env(conf, 'lilv', LILV_VERSION,
+                        include_path=str(conf.path.find_node('include')))
+
+    conf.define('LILV_NO_DEFAULT_CONFIG', 1)
 
     autowaf.display_summary(
         conf,
@@ -292,7 +293,7 @@
 def build_util(bld, name, defines, libs=''):
     obj = bld(features     = 'c cprogram',
               source       = name + '.c',
-              includes     = ['.', './src', './utils'],
+              includes     = ['.', 'include', './src', './utils'],
               use          = 'liblilv',
               uselib       = 'SERD SORD SRATOM LV2 ' + libs,
               target       = name,
@@ -311,8 +312,8 @@
 def build(bld):
     # C/C++ Headers
     includedir = '${INCLUDEDIR}/lilv-%s/lilv' % LILV_MAJOR_VERSION
-    bld.install_files(includedir, bld.path.ant_glob('lilv/*.h'))
-    bld.install_files(includedir, bld.path.ant_glob('lilv/*.hpp'))
+    bld.install_files(includedir, bld.path.ant_glob('include/lilv/*.h'))
+    bld.install_files(includedir, bld.path.ant_glob('include/lilv/*.hpp'))
 
     lib_source = '''
         src/collections.c
@@ -343,3 +344,5 @@
         libflags = []
 
     # Pkgconfig file
+    autowaf.build_pc(bld, 'LILV', LILV_VERSION, LILV_MAJOR_VERSION, [],
+                     {'LILV_MAJOR_VERSION': LILV_MAJOR_VERSION,

=== debian/changelog ===
lilv (0.24.12-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 17 Jun 2023 10:37:13 -0700

lilv (0.24.12-2) unstable; urgency=medium

  * d/control: Fix really FTCBFS, with python3:native as B-D (Closes: #941710)
  * Add d/lilv-utils.lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 24 Jan 2021 20:44:49 +0100

lilv (0.24.12-1) unstable; urgency=medium

  * New upstream version 0.24.12
  * Bump S-V to 4.5.1, no changes needed
  * Refresh ldconfig patch
  * Clean d/watch

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 14 Jan 2021 21:01:24 +0100

=== debian/control ===
Source: lilv
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
           Jaromír Mikeš <mira.mikes@seznam.cz>,
           Dennis Braun <d_braun@kabelmail.de>
Build-Depends: debhelper-compat (= 13),
               libjack-dev,
               libserd-dev (>= 0.22.0~),
               libsndfile1-dev,
               libsord-dev (>= 0.14.0~),
               libsratom-dev (>= 0.4.0~),
               lv2-dev (>= 1.18.0~),
               pkg-config,
               python3:native
Standards-Version: 4.5.1
Homepage: https://drobilla.net/software/lilv/
Vcs-Git: https://salsa.debian.org/multimedia-team/lilv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/lilv
Rules-Requires-Root: no

Package: liblilv-0-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for simple use of LV2 plugins
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the shared library.

Package: liblilv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblilv-0-0 (= ${binary:Version}),
         libserd-dev (>= 0.22.0~),
         libsord-dev (>= 0.14.0~),
         libsratom-dev (>= 0.4.0~),
         lv2-dev,
         ${misc:Depends}
Description: library for simple use of LV2 plugins (development files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the development files.

Package: lilv-utils
Section: sound
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: lv2-host
Description: library for simple use of LV2 plugins (runtime files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the following utilities:
  * lv2info - Extract information about an installed LV2 plugin.
  * lv2ls - List all installed LV2 plugins.
  * lv2apply - Apply an LV2 plugin to an audio file.
  * lv2bench - Benchmark all installed and supported LV2 plugins.
  * lilv-bench

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export LINKFLAGS += $(LDFLAGS)
 export CC
 export PKGCONFIG = $(PKG_CONFIG)
@@ -37,3 +36,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## lilv 0.24.14

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-LILV_VERSION       = '0.24.12'
+LILV_VERSION       = '0.24.14'
 LILV_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -109,6 +109,8 @@
     if conf.env.DOCS:
         conf.load('sphinx')
 
+    conf.env.LILV_MAJOR_VERSION = LILV_MAJOR_VERSION
+
     conf.env.BASH_COMPLETION = not Options.options.no_bash_completion
     conf.env.BUILD_UTILS     = not Options.options.no_utils
     conf.env.BUILD_SHARED    = not Options.options.no_shared
@@ -147,7 +149,6 @@
                 '-Wno-shorten-64-to-32',
                 '-Wno-sign-conversion',
                 '-Wno-switch-enum',
-                '-Wno-unused-parameter',
                 '-Wno-vla',
             ],
             'gcc': [
@@ -161,7 +162,6 @@
                 '-Wno-suggest-attribute=const',
                 '-Wno-suggest-attribute=pure',
                 '-Wno-switch-enum',
-                '-Wno-unused-parameter',
                 '-Wno-vla',
             ],
             'msvc': [

=== doc/c/wscript ===
#!/usr/bin/env python

def build(bld):
    dox_to_sphinx = bld.path.find_node("../../scripts/dox_to_sphinx.py")
    index_xml = bld.path.get_bld().make_node("xml/index.xml")

    files = [
        ("../summary.rst", "sphinx/summary.rst"),
        ("index.rst", "sphinx/index.rst"),
        ("overview.rst", "sphinx/overview.rst"),
        ("plugins.rst", "sphinx/plugins.rst"),
        ("uis.rst", "sphinx/uis.rst"),
        ("world.rst", "sphinx/world.rst"),
    ]

    # Run Doxygen to generate XML documentation
    bld(features="doxygen", doxyfile="Doxyfile")

    # Substitute variables to make Sphinx configuration file
    bld(features="subst",
        source="../conf.py.in",
        target="sphinx/conf.py",
        LILV_VERSION=bld.env.LILV_VERSION)

    # Copy static documentation files to Sphinx build directory
    for f in files:
        bld(features="subst", is_copy=True, source=f[0], target=f[1])

    # Generate Sphinx markup from Doxygen XML
    bld.add_group()
    bld(rule="${PYTHON} " + dox_to_sphinx.abspath() + " -f ${SRC} ${TGT}",
        source=index_xml,
        target="sphinx/api/")

    doc_dir = bld.env.DOCDIR + "/lilv-%s/" % bld.env.LILV_MAJOR_VERSION

    # Run Sphinx to generate HTML documentation
    for builder in ["html", "singlehtml"]:
        bld(features="sphinx",
            sphinx_source=bld.path.get_bld().make_node("sphinx"),
            sphinx_output_format=builder,
            sphinx_options=["-E", "-q", "-t", builder],
            install_path=doc_dir + "c/%s/" % builder)

=== debian/changelog ===
lilv (0.24.14-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop libjack-dev from Build-Depends, unused since 0.4.4. (Closes: #981273)

  [ Dennis Braun ]
  * New upstream version 0.24.14
  * Refresh patch
  * Bump Standards Version to 4.6.1
  * d/copyright: Bump year and add myself to the d/ section
  * Update d/liblilv-0-0.symbols
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 31 May 2022 19:20:25 +0200

=== debian/control ===
Source: lilv
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 libsndfile1-dev,
 libserd-dev (>= 0.22.0~),
 libsord-dev (>= 0.14.0~),
 libsratom-dev (>= 0.4.0~),
 lv2-dev (>= 1.18.0~),
 pkg-config,
 python3:native
Standards-Version: 4.6.1
Homepage: https://drobilla.net/software/lilv/
Vcs-Git: https://salsa.debian.org/multimedia-team/lilv.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/lilv
Rules-Requires-Root: no

Package: liblilv-0-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: library for simple use of LV2 plugins
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the shared library.

Package: liblilv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblilv-0-0 (= ${binary:Version}),
 libserd-dev (>= 0.22.0~),
 libsord-dev (>= 0.14.0~),
 libsratom-dev (>= 0.4.0~),
 lv2-dev,
 ${misc:Depends}
Description: library for simple use of LV2 plugins (development files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the development files.

Package: lilv-utils
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-host
Description: library for simple use of LV2 plugins (runtime files)
 Lilv (formerly SLV2) is a library for LV2 hosts intended to make using
 LV2 Plugins as simple as possible (without sacrificing capabilities).
 .
 Lilv is the successor to SLV2, rewritten to be significantly faster
 and have minimal dependencies.
 .
 This package provides the following utilities:
  * lv2info - Extract information about an installed LV2 plugin.
  * lv2ls - List all installed LV2 plugins.
  * lv2apply - Apply an LV2 plugin to an audio file.
  * lv2bench - Benchmark all installed and supported LV2 plugins.
  * lilv-bench

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
